CURLOPT_ALTSVC(3)

NAME
CURLOPT_ALTSVC - set alt-svc cache file name

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_setopt(CURL *handle, CURLOPT_ALTSVC, char *filename);

EXPERIMENTAL
Warning: this feature is early code and is marked as experimental. It can only be enabled by explicitly telling configure with --enable-alt-svc. You are advised to not ship this in production before the experimental label is removed.

DESCRIPTION
Pass in a pointer to a filename to instruct libcurl to use that file as the Alt-Svc cache to read existing cache contents from and possibly also write it back to a after a transfer, unless CURLALTSVC_READONLYFILE is set in CURLOPT_ALTSVC_CTRL(3).

DEFAULT
NULL. The alt-svc cache is not read nor written to file.

PROTOCOLS
HTTPS

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  curl_easy_setopt(curl, CURLOPT_ALTSVC_CTRL, CURLALTSVC_H1);
  curl_easy_setopt(curl, CURLOPT_ALTSVC, "altsvc-cache.txt");
  curl_easy_perform(curl);
}

AVAILABILITY
Added in 7.64.1

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_ALTSVC_CTRL(3), CURLOPT_CONNECT_TO(3), CURLOPT_RESOLVE(3), CURLOPT_COOKIEFILE(3),